Bug 114378 - Unable to perform updates
Unable to perform updates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 09:30 EST by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 12:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error trace from up2date (895 bytes, text/plain)
2004-02-07 03:33 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-01-27 09:30:39 EST
Description of problem:

When I try to use Red Hat Network or Red Hat Network Alert Icon from
the start menu, then 
sometimes, I get no response at all 
other times, I get the prompt for the admin password, but then no
further response (no dialog appears after I enter the password at the
prompt)

When I try to use up2date from a command line, I get the following
error message (after the prompt for the admin password):

There was an SSL error: [('SSL routines',
'SSL3_GET_SERVER_CERTIFICATE', 'certificate verify failed')]
A common cause of this error is the system time being incorrect.
Verify that the time on this system is correct.

I have checked that the system time is correct (in fact, I have
enabled the network time protocol, and updated the system clock from
clock2.redhat.com).

I *am* able to connect to RHN web pages, including https ones, using a
browser.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start up a terminal session
2. enter 'up2date &'
3. enter root password at prompt dialog
  
Actual results:
error message as shown above

Expected results:
dialog offering a list of packages to update

Additional info:
Comment 1 Need Real Name 2004-01-27 10:11:42 EST
I have attempted a rebuild of the rpm database, as advised on a Red
Hat Network FAQ page, but I get this error:
error: db4 error(16) from dbenv->remove: Device or resource busy 
(This happens even if I have just re-booted, and have made sure that
rhn_check, up2date, rpm and rhn_applet are not running, and have
deleted /var/lib/rpm/__db*)
Comment 2 Need Real Name 2004-02-07 03:33:45 EST
Created attachment 97520 [details]
error trace from up2date
Comment 3 Need Real Name 2004-02-07 03:36:28 EST
I have got around the rebuild problem by creating an entirely new rpm
database and (after backing up) putting it in place of the apparently
corrupt one.  I can now perform rebuilddb at will, but I still can't
do updates; from up2date at the command line, I get the error trace
shown in the attachment above.
Comment 4 Adrian Likins 2004-09-02 12:18:55 EDT
You need to manually update to a newer up2date. The ssl certs
expired and 

Note You need to log in before you can comment on or make changes to this bug.